###
###
###

.seqnames <- c(paste("NC_", c("008253", "008563", "010468", "004431", "009801", "009800", "002655", "002695", "010498", "007946", "010473", "000913"), sep=""), "AC_000091")

.mseqnames <- NULL

.nmask_per_seq <- 0

.onLoad <- function(libname, pkgname)
{
    extdata_dir <- system.file("extdata", package=pkgname, lib.loc=libname)
    bsgenome <- BSgenome(
        organism="Escherichia coli",
        species="E. coli",
        provider="NCBI",
        provider_version="2008/08/05",
        release_date="NA",
        release_name="NA",
        source_url="ftp://ftp.ncbi.nih.gov/genomes/Bacteria/",
        seqnames=.seqnames,
        mseqnames=.mseqnames,
        seqs_pkgname=pkgname,
        seqs_dir=extdata_dir,
        nmask_per_seq=.nmask_per_seq,
        masks_pkgname=pkgname,
        masks_dir=extdata_dir
    )
    objname <- "Ecoli"
    ns <- asNamespace(pkgname)
    assign(objname, bsgenome, envir=ns)
    namespaceExport(ns, objname)
}

